From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/jasper/
Date: Tue, 18 Oct 2016 18:35:26 +0000 (UTC) [thread overview]
Message-ID: <1476815712.16bf55009c3a5a5f564a946708118d85f80f585a.soap@gentoo> (raw)
commit: 16bf55009c3a5a5f564a946708118d85f80f585a
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 18 18:34:39 2016 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Oct 18 18:35:12 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=16bf5500
media-libs/jasper: Add live ebuild
Package-Manager: portage-2.3.2
media-libs/jasper/jasper-9999.ebuild | 48 ++++++++++++++++++++++++++++++++++++
1 file changed, 48 insertions(+)
diff --git a/media-libs/jasper/jasper-9999.ebuild b/media-libs/jasper/jasper-9999.ebuild
new file mode 100644
index 00000000..899da22
--- /dev/null
+++ b/media-libs/jasper/jasper-9999.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools git-r3 multilib-minimal
+
+DESCRIPTION="Implementation of the codec specified in the JPEG-2000 Part-1 standard"
+HOMEPAGE="http://www.ece.uvic.ca/~mdadams/jasper/"
+EGIT_REPO_URI="https://github.com/mdadams/jasper.git"
+
+LICENSE="JasPer2.0"
+SLOT="0/1"
+KEYWORDS=""
+IUSE="jpeg opengl static-libs"
+
+RDEPEND="
+ jpeg? ( >=virtual/jpeg-0-r2:0[${MULTILIB_USEDEP}] )
+ opengl? (
+ >=virtual/opengl-7.0-r1:0[${MULTILIB_USEDEP}]
+ >=media-libs/freeglut-2.8.1:0[${MULTILIB_USEDEP}]
+ virtual/glu
+ )"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+PATCHES=( "${FILESDIR}/${PN}-1.900.6-fix-build-system.patch" )
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf \
+ $(use_enable jpeg libjpeg) \
+ $(use_enable opengl) \
+ $(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ dodoc -r doc/.
+
+ # package provides .pc files
+ find "${D}" -name '*.la' -delete || die
+}
next reply other threads:[~2016-10-18 18:35 UTC|newest]
Thread overview: 71+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-10-18 18:35 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-22 1:26 [gentoo-commits] repo/gentoo:master commit in: media-libs/jasper/ Eli Schwartz
2024-08-22 1:26 Eli Schwartz
2024-07-03 5:17 Ionen Wolkens
2024-06-25 6:28 Joonas Niilola
2024-06-25 4:07 Sam James
2024-03-20 20:47 Andrew Ammerlaan
2024-02-06 8:28 Andrew Ammerlaan
2024-01-14 5:36 Sam James
2024-01-14 5:36 Sam James
2024-01-10 12:39 Andrew Ammerlaan
2024-01-09 15:34 WANG Xuerui
2024-01-09 15:34 WANG Xuerui
2023-04-13 10:52 David Seifert
2023-04-13 10:04 David Seifert
2023-04-12 13:09 David Seifert
2019-03-26 14:32 Lars Wendler
2019-03-25 7:27 Lars Wendler
2019-03-25 7:25 Lars Wendler
2019-03-25 7:20 Lars Wendler
2019-03-20 14:55 Lars Wendler
2019-03-20 14:55 Lars Wendler
2018-06-30 17:47 Mikle Kolyada
2018-05-15 14:57 Aaron Bauman
2018-05-15 14:57 Aaron Bauman
2018-05-08 18:43 Sergei Trofimovich
2018-04-22 20:19 Matt Turner
2018-04-08 10:55 Markus Meier
2018-03-31 10:11 Tobias Klausmann
2018-03-24 22:11 Mikle Kolyada
2018-03-23 23:38 Sergei Trofimovich
2017-09-01 6:54 Tim Harder
2017-05-16 6:39 David Seifert
2017-04-27 11:23 Agostino Sarubbo
2017-04-07 9:41 Jeroen Roovers
2017-04-04 19:28 Tobias Klausmann
2017-04-03 21:19 Michael Weber
2017-04-03 21:00 Michael Weber
2017-04-03 12:33 Agostino Sarubbo
2017-04-02 17:33 Agostino Sarubbo
2017-04-02 17:32 Agostino Sarubbo
2017-03-29 19:51 David Seifert
2017-01-05 13:30 David Seifert
2017-01-05 13:30 David Seifert
2016-12-20 9:13 David Seifert
2016-12-20 9:13 David Seifert
2016-12-10 21:32 David Seifert
2016-12-10 21:32 David Seifert
2016-12-10 21:32 David Seifert
2016-12-10 12:49 David Seifert
2016-12-10 10:28 David Seifert
2016-12-07 19:59 David Seifert
2016-12-07 19:59 David Seifert
2016-11-12 23:37 David Seifert
2016-11-12 23:37 David Seifert
2016-10-30 9:13 David Seifert
2016-10-29 9:45 David Seifert
2016-10-26 20:16 David Seifert
2016-10-26 20:16 David Seifert
2016-10-22 15:34 Agostino Sarubbo
2016-10-22 9:58 Jeroen Roovers
2016-10-21 10:52 Agostino Sarubbo
2016-10-21 10:52 Agostino Sarubbo
2016-10-20 11:00 Agostino Sarubbo
2016-10-20 11:00 Agostino Sarubbo
2016-10-19 10:28 Agostino Sarubbo
2016-10-19 10:26 Agostino Sarubbo
2016-10-19 7:45 David Seifert
2016-10-16 22:11 David Seifert
2016-10-14 21:30 David Seifert
2015-10-10 11:17 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1476815712.16bf55009c3a5a5f564a946708118d85f80f585a.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox